﻿<?xml version="1.0" encoding="utf-8"?>
<edmx:Edmx Version="3.0" xmlns:edmx="http://schemas.microsoft.com/ado/2009/11/edmx">
  <!-- EF Runtime content -->
  <edmx:Runtime>
    <!-- SSDL content -->
    <edmx:StorageModels>
      <Schema Namespace="RevisionTpModel.Store" Provider="System.Data.SqlClient" ProviderManifestToken="2012" Alias="Self" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm/ssdl">
        <EntityType Name="Enseignant">
          <Key>
            <PropertyRef Name="id" />
          </Key>
          <Property Name="id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="nom" Type="varchar" MaxLength="50" />
          <Property Name="prenom" Type="varchar" MaxLength="50" />
          <Property Name="email" Type="varchar" MaxLength="50" />
          <Property Name="tel" Type="int" />
          <Property Name="cin" Type="varchar" MaxLength="50" />
        </EntityType>
        <EntityType Name="Etudiant">
          <Key>
            <PropertyRef Name="id" />
          </Key>
          <Property Name="id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="nom" Type="varchar" MaxLength="50" />
          <Property Name="prenom" Type="varchar" MaxLength="50" />
          <Property Name="email" Type="varchar" MaxLength="50" />
          <Property Name="tel" Type="varchar" MaxLength="50" />
          <Property Name="login" Type="varchar" MaxLength="50" />
          <Property Name="password" Type="varchar" MaxLength="50" />
        </EntityType>
        <EntityType Name="Inscription">
          <Key>
            <PropertyRef Name="id" />
          </Key>
          <Property Name="id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="date_debut" Type="date" />
          <Property Name="duree" Type="int" />
          <Property Name="date_publication" Type="date" />
          <Property Name="montant" Type="float" />
          <Property Name="id_matiere" Type="int" />
          <Property Name="id_etudiant" Type="int" />
        </EntityType>
        <EntityType Name="Matiere">
          <Key>
            <PropertyRef Name="id" />
          </Key>
          <Property Name="id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="libelle" Type="varchar" MaxLength="50" />
        </EntityType>
        <EntityType Name="Paiement">
          <Key>
            <PropertyRef Name="id" />
          </Key>
          <Property Name="id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="date_paiment" Type="date" />
          <Property Name="montant" Type="float" />
          <Property Name="imprime" Type="varchar" MaxLength="50" />
          <Property Name="id_inscription" Type="int" />
        </EntityType>
        <EntityType Name="Seance">
          <Key>
            <PropertyRef Name="id" />
          </Key>
          <Property Name="id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="date_seance" Type="date" />
          <Property Name="masse" Type="varchar" MaxLength="50" />
          <Property Name="valide" Type="varchar" MaxLength="50" />
          <Property Name="id_enseignant" Type="int" />
          <Property Name="id_inscription" Type="int" />
        </EntityType>
        <EntityType Name="sysdiagrams">
          <Key>
            <PropertyRef Name="diagram_id" />
          </Key>
          <Property Name="name" Type="nvarchar" MaxLength="128" Nullable="false" />
          <Property Name="principal_id" Type="int" Nullable="false" />
          <Property Name="diagram_id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="version" Type="int" />
          <Property Name="definition" Type="varbinary(max)" />
        </EntityType>
        <Association Name="FK_Inscription_Etudiant">
          <End Role="Etudiant" Type="Self.Etudiant" Multiplicity="0..1" />
          <End Role="Inscription" Type="Self.Inscription" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Etudiant">
              <PropertyRef Name="id" />
            </Principal>
            <Dependent Role="Inscription">
              <PropertyRef Name="id_etudiant" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Inscription_Matiere">
          <End Role="Matiere" Type="Self.Matiere" Multiplicity="0..1" />
          <End Role="Inscription" Type="Self.Inscription" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Matiere">
              <PropertyRef Name="id" />
            </Principal>
            <Dependent Role="Inscription">
              <PropertyRef Name="id_matiere" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Paiement_Inscription">
          <End Role="Inscription" Type="Self.Inscription" Multiplicity="0..1" />
          <End Role="Paiement" Type="Self.Paiement" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Inscription">
              <PropertyRef Name="id" />
            </Principal>
            <Dependent Role="Paiement">
              <PropertyRef Name="id_inscription" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Seance_Enseignant">
          <End Role="Enseignant" Type="Self.Enseignant" Multiplicity="0..1" />
          <End Role="Seance" Type="Self.Seance" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Enseignant">
              <PropertyRef Name="id" />
            </Principal>
            <Dependent Role="Seance">
              <PropertyRef Name="id_enseignant" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Seance_Inscription">
          <End Role="Inscription" Type="Self.Inscription" Multiplicity="0..1" />
          <End Role="Seance" Type="Self.Seance" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Inscription">
              <PropertyRef Name="id" />
            </Principal>
            <Dependent Role="Seance">
              <PropertyRef Name="id_inscription" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityContainer Name="RevisionTpModelStoreContainer">
          <EntitySet Name="Enseignant" EntityType="Self.Enseignant" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Etudiant" EntityType="Self.Etudiant" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Inscription" EntityType="Self.Inscription" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Matiere" EntityType="Self.Matiere" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Paiement" EntityType="Self.Paiement" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Seance" EntityType="Self.Seance" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="sysdiagrams" EntityType="Self.sysdiagrams" Schema="dbo" store:Type="Tables" />
          <AssociationSet Name="FK_Inscription_Etudiant" Association="Self.FK_Inscription_Etudiant">
            <End Role="Etudiant" EntitySet="Etudiant" />
            <End Role="Inscription" EntitySet="Inscription" />
          </AssociationSet>
          <AssociationSet Name="FK_Inscription_Matiere" Association="Self.FK_Inscription_Matiere">
            <End Role="Matiere" EntitySet="Matiere" />
            <End Role="Inscription" EntitySet="Inscription" />
          </AssociationSet>
          <AssociationSet Name="FK_Paiement_Inscription" Association="Self.FK_Paiement_Inscription">
            <End Role="Inscription" EntitySet="Inscription" />
            <End Role="Paiement" EntitySet="Paiement" />
          </AssociationSet>
          <AssociationSet Name="FK_Seance_Enseignant" Association="Self.FK_Seance_Enseignant">
            <End Role="Enseignant" EntitySet="Enseignant" />
            <End Role="Seance" EntitySet="Seance" />
          </AssociationSet>
          <AssociationSet Name="FK_Seance_Inscription" Association="Self.FK_Seance_Inscription">
            <End Role="Inscription" EntitySet="Inscription" />
            <End Role="Seance" EntitySet="Seance" />
          </AssociationSet>
        </EntityContainer>
      </Schema>
    </edmx:StorageModels>
    <!-- CSDL content -->
    <edmx:ConceptualModels>
      <Schema Namespace="RevisionTpModel" Alias="Self" annotation:UseStrongSpatialTypes="false" xmlns:annotation="http://schemas.microsoft.com/ado/2009/02/edm/annotation" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm">
        <EntityType Name="Enseignant">
          <Key>
            <PropertyRef Name="id" />
          </Key>
          <Property Name="id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="nom" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="prenom" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="email" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="tel" Type="Int32" />
          <Property Name="cin" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <NavigationProperty Name="Seances" Relationship="Self.FK_Seance_Enseignant" FromRole="Enseignant" ToRole="Seance" />
        </EntityType>
        <EntityType Name="Etudiant">
          <Key>
            <PropertyRef Name="id" />
          </Key>
          <Property Name="id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="nom" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="prenom" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="email" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="tel" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="login" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="password" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <NavigationProperty Name="Inscriptions" Relationship="Self.FK_Inscription_Etudiant" FromRole="Etudiant" ToRole="Inscription" />
        </EntityType>
        <EntityType Name="Inscription">
          <Key>
            <PropertyRef Name="id" />
          </Key>
          <Property Name="id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="date_debut" Type="DateTime" Precision="0" />
          <Property Name="duree" Type="Int32" />
          <Property Name="date_publication" Type="DateTime" Precision="0" />
          <Property Name="montant" Type="Double" />
          <Property Name="id_matiere" Type="Int32" />
          <Property Name="id_etudiant" Type="Int32" />
          <NavigationProperty Name="Etudiant" Relationship="Self.FK_Inscription_Etudiant" FromRole="Inscription" ToRole="Etudiant" />
          <NavigationProperty Name="Matiere" Relationship="Self.FK_Inscription_Matiere" FromRole="Inscription" ToRole="Matiere" />
          <NavigationProperty Name="Paiements" Relationship="Self.FK_Paiement_Inscription" FromRole="Inscription" ToRole="Paiement" />
          <NavigationProperty Name="Seances" Relationship="Self.FK_Seance_Inscription" FromRole="Inscription" ToRole="Seance" />
        </EntityType>
        <EntityType Name="Matiere">
          <Key>
            <PropertyRef Name="id" />
          </Key>
          <Property Name="id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="libelle" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <NavigationProperty Name="Inscriptions" Relationship="Self.FK_Inscription_Matiere" FromRole="Matiere" ToRole="Inscription" />
        </EntityType>
        <EntityType Name="Paiement">
          <Key>
            <PropertyRef Name="id" />
          </Key>
          <Property Name="id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="date_paiment" Type="DateTime" Precision="0" />
          <Property Name="montant" Type="Double" />
          <Property Name="imprime" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="id_inscription" Type="Int32" />
          <NavigationProperty Name="Inscription" Relationship="Self.FK_Paiement_Inscription" FromRole="Paiement" ToRole="Inscription" />
        </EntityType>
        <EntityType Name="Seance">
          <Key>
            <PropertyRef Name="id" />
          </Key>
          <Property Name="id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="date_seance" Type="DateTime" Precision="0" />
          <Property Name="masse" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="valide" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="id_enseignant" Type="Int32" />
          <Property Name="id_inscription" Type="Int32" />
          <NavigationProperty Name="Enseignant" Relationship="Self.FK_Seance_Enseignant" FromRole="Seance" ToRole="Enseignant" />
          <NavigationProperty Name="Inscription" Relationship="Self.FK_Seance_Inscription" FromRole="Seance" ToRole="Inscription" />
        </EntityType>
        <EntityType Name="sysdiagram">
          <Key>
            <PropertyRef Name="diagram_id" />
          </Key>
          <Property Name="name" Type="String" MaxLength="128" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="principal_id" Type="Int32" Nullable="false" />
          <Property Name="diagram_id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="version" Type="Int32" />
          <Property Name="definition" Type="Binary" MaxLength="Max" FixedLength="false" />
        </EntityType>
        <Association Name="FK_Seance_Enseignant">
          <End Role="Enseignant" Type="Self.Enseignant" Multiplicity="0..1" />
          <End Role="Seance" Type="Self.Seance" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Enseignant">
              <PropertyRef Name="id" />
            </Principal>
            <Dependent Role="Seance">
              <PropertyRef Name="id_enseignant" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Inscription_Etudiant">
          <End Role="Etudiant" Type="Self.Etudiant" Multiplicity="0..1" />
          <End Role="Inscription" Type="Self.Inscription" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Etudiant">
              <PropertyRef Name="id" />
            </Principal>
            <Dependent Role="Inscription">
              <PropertyRef Name="id_etudiant" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Inscription_Matiere">
          <End Role="Matiere" Type="Self.Matiere" Multiplicity="0..1" />
          <End Role="Inscription" Type="Self.Inscription" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Matiere">
              <PropertyRef Name="id" />
            </Principal>
            <Dependent Role="Inscription">
              <PropertyRef Name="id_matiere" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Paiement_Inscription">
          <End Role="Inscription" Type="Self.Inscription" Multiplicity="0..1" />
          <End Role="Paiement" Type="Self.Paiement" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Inscription">
              <PropertyRef Name="id" />
            </Principal>
            <Dependent Role="Paiement">
              <PropertyRef Name="id_inscription" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Seance_Inscription">
          <End Role="Inscription" Type="Self.Inscription" Multiplicity="0..1" />
          <End Role="Seance" Type="Self.Seance" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Inscription">
              <PropertyRef Name="id" />
            </Principal>
            <Dependent Role="Seance">
              <PropertyRef Name="id_inscription" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityContainer Name="RevisionTpEntities" annotation:LazyLoadingEnabled="true">
          <EntitySet Name="Enseignants" EntityType="Self.Enseignant" />
          <EntitySet Name="Etudiants" EntityType="Self.Etudiant" />
          <EntitySet Name="Inscriptions" EntityType="Self.Inscription" />
          <EntitySet Name="Matieres" EntityType="Self.Matiere" />
          <EntitySet Name="Paiements" EntityType="Self.Paiement" />
          <EntitySet Name="Seances" EntityType="Self.Seance" />
          <EntitySet Name="sysdiagrams" EntityType="Self.sysdiagram" />
          <AssociationSet Name="FK_Seance_Enseignant" Association="Self.FK_Seance_Enseignant">
            <End Role="Enseignant" EntitySet="Enseignants" />
            <End Role="Seance" EntitySet="Seances" />
          </AssociationSet>
          <AssociationSet Name="FK_Inscription_Etudiant" Association="Self.FK_Inscription_Etudiant">
            <End Role="Etudiant" EntitySet="Etudiants" />
            <End Role="Inscription" EntitySet="Inscriptions" />
          </AssociationSet>
          <AssociationSet Name="FK_Inscription_Matiere" Association="Self.FK_Inscription_Matiere">
            <End Role="Matiere" EntitySet="Matieres" />
            <End Role="Inscription" EntitySet="Inscriptions" />
          </AssociationSet>
          <AssociationSet Name="FK_Paiement_Inscription" Association="Self.FK_Paiement_Inscription">
            <End Role="Inscription" EntitySet="Inscriptions" />
            <End Role="Paiement" EntitySet="Paiements" />
          </AssociationSet>
          <AssociationSet Name="FK_Seance_Inscription" Association="Self.FK_Seance_Inscription">
            <End Role="Inscription" EntitySet="Inscriptions" />
            <End Role="Seance" EntitySet="Seances" />
          </AssociationSet>
        </EntityContainer>
      </Schema>
    </edmx:ConceptualModels>
    <!-- C-S mapping content -->
    <edmx:Mappings>
      <Mapping Space="C-S" xmlns="http://schemas.microsoft.com/ado/2009/11/mapping/cs">
        <EntityContainerMapping StorageEntityContainer="RevisionTpModelStoreContainer" CdmEntityContainer="RevisionTpEntities">
          <EntitySetMapping Name="Enseignants">
            <EntityTypeMapping TypeName="RevisionTpModel.Enseignant">
              <MappingFragment StoreEntitySet="Enseignant">
                <ScalarProperty Name="id" ColumnName="id" />
                <ScalarProperty Name="nom" ColumnName="nom" />
                <ScalarProperty Name="prenom" ColumnName="prenom" />
                <ScalarProperty Name="email" ColumnName="email" />
                <ScalarProperty Name="tel" ColumnName="tel" />
                <ScalarProperty Name="cin" ColumnName="cin" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Etudiants">
            <EntityTypeMapping TypeName="RevisionTpModel.Etudiant">
              <MappingFragment StoreEntitySet="Etudiant">
                <ScalarProperty Name="id" ColumnName="id" />
                <ScalarProperty Name="nom" ColumnName="nom" />
                <ScalarProperty Name="prenom" ColumnName="prenom" />
                <ScalarProperty Name="email" ColumnName="email" />
                <ScalarProperty Name="tel" ColumnName="tel" />
                <ScalarProperty Name="login" ColumnName="login" />
                <ScalarProperty Name="password" ColumnName="password" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Inscriptions">
            <EntityTypeMapping TypeName="RevisionTpModel.Inscription">
              <MappingFragment StoreEntitySet="Inscription">
                <ScalarProperty Name="id" ColumnName="id" />
                <ScalarProperty Name="date_debut" ColumnName="date_debut" />
                <ScalarProperty Name="duree" ColumnName="duree" />
                <ScalarProperty Name="date_publication" ColumnName="date_publication" />
                <ScalarProperty Name="montant" ColumnName="montant" />
                <ScalarProperty Name="id_matiere" ColumnName="id_matiere" />
                <ScalarProperty Name="id_etudiant" ColumnName="id_etudiant" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Matieres">
            <EntityTypeMapping TypeName="RevisionTpModel.Matiere">
              <MappingFragment StoreEntitySet="Matiere">
                <ScalarProperty Name="id" ColumnName="id" />
                <ScalarProperty Name="libelle" ColumnName="libelle" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Paiements">
            <EntityTypeMapping TypeName="RevisionTpModel.Paiement">
              <MappingFragment StoreEntitySet="Paiement">
                <ScalarProperty Name="id" ColumnName="id" />
                <ScalarProperty Name="date_paiment" ColumnName="date_paiment" />
                <ScalarProperty Name="montant" ColumnName="montant" />
                <ScalarProperty Name="imprime" ColumnName="imprime" />
                <ScalarProperty Name="id_inscription" ColumnName="id_inscription" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Seances">
            <EntityTypeMapping TypeName="RevisionTpModel.Seance">
              <MappingFragment StoreEntitySet="Seance">
                <ScalarProperty Name="id" ColumnName="id" />
                <ScalarProperty Name="date_seance" ColumnName="date_seance" />
                <ScalarProperty Name="masse" ColumnName="masse" />
                <ScalarProperty Name="valide" ColumnName="valide" />
                <ScalarProperty Name="id_enseignant" ColumnName="id_enseignant" />
                <ScalarProperty Name="id_inscription" ColumnName="id_inscription" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="sysdiagrams">
            <EntityTypeMapping TypeName="RevisionTpModel.sysdiagram">
              <MappingFragment StoreEntitySet="sysdiagrams">
                <ScalarProperty Name="name" ColumnName="name" />
                <ScalarProperty Name="principal_id" ColumnName="principal_id" />
                <ScalarProperty Name="diagram_id" ColumnName="diagram_id" />
                <ScalarProperty Name="version" ColumnName="version" />
                <ScalarProperty Name="definition" ColumnName="definition" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
        </EntityContainerMapping>
      </Mapping>
    </edmx:Mappings>
  </edmx:Runtime>
  <!-- EF Designer content (DO NOT EDIT MANUALLY BELOW HERE) -->
  <Designer xmlns="http://schemas.microsoft.com/ado/2009/11/edmx">
    <Connection>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="MetadataArtifactProcessing" Value="EmbedInOutputAssembly" />
      </DesignerInfoPropertySet>
    </Connection>
    <Options>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="ValidateOnBuild" Value="true" />
        <DesignerProperty Name="EnablePluralization" Value="true" />
        <DesignerProperty Name="IncludeForeignKeysInModel" Value="true" />
        <DesignerProperty Name="UseLegacyProvider" Value="false" />
        <DesignerProperty Name="CodeGenerationStrategy" Value="None" />
      </DesignerInfoPropertySet>
    </Options>
    <!-- Diagram content (shape and connector positions) -->
    <Diagrams></Diagrams>
  </Designer>
</edmx:Edmx>